Bug 886148 - consumer profiles server call displays the package list in the tasks list
Summary: consumer profiles server call displays the package list in the tasks list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: consumers
Version: 2.0.6
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: Sprint 42
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 15:56 UTC by Preethi Thomas
Modified: 2014-03-31 01:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-09 17:05:45 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2012-12-11 15:56:24 UTC
Description of problem:

If you have a consumer registered, each time the consumer profile is checked, task list displays all the packages along with package list in pulp.log

Version-Release number of selected component (if applicable):

[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.14.beta.noarch
[root@preethi ~]# 

How reproducible:


Steps to Reproduce:
1. Register a consumer and watch log
2.When you see the 
3.
  
Actual results:


Expected results:


Additional info:


  "_ns": "consumer_unit_profiles", 
      "consumer_id": "pulp-master", 
      "content_type": "rpm", 
      "_id": {
        "$oid": "50c67209758cc92389000750"
      }, 
      "id": "50c67209758cc92389000750"
    }, 
    "dependency_failures": {}, 
    "call_request_group_id": null, 
    "progress": {}, 
    "principal_login": "SYSTEM", 
    "response": "accepted", 
    "tags": []
  }


[root@preethi ~]# pulp-admin tasks list |more
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  
Resources:   
State:       Successful
Start Time:  Unstarted
Finish Time: 2012-12-11T15:36:44Z
Result:      
  Consumer Id:  pulp-master
  Content Type: rpm
  Id:           50c67209758cc92389000750
  Profile:      
    Arch:    x86_64
    Epoch:   0
    Name:    gawk
    Release: 1.fc17
    Vendor:  Fedora Project
    Version: 4.0.1
    Arch:    noarch
    Epoch:   0
    Name:    setup
..........

Comment 1 Jason Connor 2012-12-11 17:58:54 UTC
Fix pushed in branch: jconnor-886148-consumer-packages


Sample output:

[jasonconnor@localhost pulp-local]$ sudo pulp-consumer -u admin -p admin register --consumer-id server
Consumer [server] successfully registered

[jasonconnor@localhost pulp-local]$ pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  create
Resources:   server (consumer)
State:       Successful
Start Time:  2012-12-08T03:57:16Z
Finish Time: 2012-12-08T03:57:16Z
Result:      ****
Task Id:     baa96f53-7f36-43f3-981b-ae40c0bc7377

Comment 2 Jason Connor 2012-12-11 17:59:25 UTC
Fix pushed in branch: jconnor-886148-consumer-packages


Sample output:

[jasonconnor@localhost pulp-local]$ sudo pulp-consumer -u admin -p admin register --consumer-id server
Consumer [server] successfully registered

[jasonconnor@localhost pulp-local]$ pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  create
Resources:   server (consumer)
State:       Successful
Start Time:  2012-12-08T03:57:16Z
Finish Time: 2012-12-08T03:57:16Z
Result:      ****
Task Id:     baa96f53-7f36-43f3-981b-ae40c0bc7377

Comment 3 Jason Connor 2012-12-11 18:01:34 UTC
Fix merged into pulp-2.0 in revision: 
d8d50ec50cd16f36967c5a2e6f253a35e6ed4957

Comment 4 Jeff Ortel 2012-12-13 15:16:55 UTC
build: 2.0.6-0.15.beta

Comment 5 Preethi Thomas 2012-12-15 02:20:50 UTC
verified
[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.17.beta.noarch
[root@preethi ~]# 

[root@preethi ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  create
Resources:   el6-client (consumer)
State:       Successful
Start Time:  2012-12-15T02:22:58Z
Finish Time: 2012-12-15T02:22:58Z
Result:      ****
Task Id:     b8df397f-1cc9-47ab-b5ef-d11dddd353d9


[root@preethi ~]#

Comment 6 Preethi Thomas 2013-01-09 17:05:45 UTC
Pulp v2.0 released


Note You need to log in before you can comment on or make changes to this bug.